Ajp13PacketMethods (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.ajp

## Class Ajp13PacketMethods

- java.lang.Object
- - org.eclipse.jetty.ajp.Ajp13PacketMethods

-     public class Ajp13PacketMethods
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACL`
    `static Buffer` | `ACL_BUFFER`
    `static int` | `ACL_ORDINAL`
    `static String` | `BASELINE_CONTROL`
    `static Buffer` | `BASELINE_CONTROL_BUFFER`
    `static int` | `BASELINE_CONTROL_ORDINAL`
    `static BufferCache` | `CACHE`
    `static String` | `CHECKIN`
    `static Buffer` | `CHECKIN_BUFFER`
    `static int` | `CHECKIN_ORDINAL`
    `static String` | `CHECKOUT`
    `static Buffer` | `CHECKOUT_BUFFER`
    `static int` | `CHECKOUT_ORDINAL`
    `static String` | `COPY`
    `static Buffer` | `COPY_BUFFER`
    `static int` | `COPY_ORDINAL`
    `static String` | `DELETE`
    `static Buffer` | `DELETE_BUFFER`
    `static int` | `DELETE_ORDINAL`
    `static String` | `GET`
    `static Buffer` | `GET_BUFFER`
    `static int` | `GET_ORDINAL`
    `static String` | `HEAD`
    `static Buffer` | `HEAD_BUFFER`
    `static int` | `HEAD_ORDINAL`
    `static String` | `LABEL`
    `static Buffer` | `LABEL_BUFFER`
    `static int` | `LABEL_ORDINAL`
    `static String` | `LOCK`
    `static Buffer` | `LOCK_BUFFER`
    `static int` | `LOCK_ORDINAL`
    `static String` | `MERGE`
    `static Buffer` | `MERGE_BUFFER`
    `static int` | `MERGE_ORDINAL`
    `static String` | `MKACTIVITY`
    `static Buffer` | `MKACTIVITY_BUFFER`
    `static int` | `MKACTIVITY_ORDINAL`
    `static String` | `MKCOL`
    `static Buffer` | `MKCOL_BUFFER`
    `static int` | `MKCOL_ORDINAL`
    `static String` | `MKWORKSPACE`
    `static Buffer` | `MKWORKSPACE_BUFFER`
    `static int` | `MKWORKSPACE_ORDINAL`
    `static String` | `MOVE`
    `static Buffer` | `MOVE_BUFFER`
    `static int` | `MOVE_ORDINAL`
    `static String` | `OPTIONS`
    `static Buffer` | `OPTIONS_BUFFER`
    `static int` | `OPTIONS_ORDINAL`
    `static String` | `POST`
    `static Buffer` | `POST__BUFFER`
    `static int` | `POST__ORDINAL`
    `static String` | `PROPFIND`
    `static Buffer` | `PROPFIND_BUFFER`
    `static int` | `PROPFIND_ORDINAL`
    `static String` | `PROPPATCH`
    `static Buffer` | `PROPPATCH_BUFFER`
    `static int` | `PROPPATCH_ORDINAL`
    `static String` | `PUT`
    `static Buffer` | `PUT_BUFFER`
    `static int` | `PUT_ORDINAL`
    `static String` | `REPORT`
    `static Buffer` | `REPORT_BUFFER`
    `static int` | `REPORT_ORDINAL`
    `static String` | `SEARCH`
    `static Buffer` | `SEARCH_BUFFER`
    `static int` | `SEARCH_ORDINAL`
    `static String` | `TRACE`
    `static Buffer` | `TRACE_BUFFER`
    `static int` | `TRACE_ORDINAL`
    `static String` | `UNCHCKOUT`
    `static Buffer` | `UNCHCKOUT_BUFFER`
    `static int` | `UNCHCKOUT_ORDINAL`
    `static String` | `UNLOCK`
    `static Buffer` | `UNLOCK_BUFFER`
    `static int` | `UNLOCK_ORDINAL`
    `static String` | `UPDATE`
    `static Buffer` | `UPDATE_BUFFER`
    `static int` | `UPDATE_ORDINAL`
    `static String` | `VERSION_CONTROL`
    `static Buffer` | `VERSION_CONTROL_BUFFER`
    `static int` | `VERSION_CONTROL_ORDINAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ajp13PacketMethods()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OPTIONS

          public static final String OPTIONS

      See Also:
        Constant Field Values

    - #### GET

          public static final String GET

      See Also:
        Constant Field Values

    - #### HEAD

          public static final String HEAD

      See Also:
        Constant Field Values

    - #### POST

          public static final String POST

      See Also:
        Constant Field Values

    - #### PUT

          public static final String PUT

      See Also:
        Constant Field Values

    - #### DELETE

          public static final String DELETE

      See Also:
        Constant Field Values

    - #### TRACE

          public static final String TRACE

      See Also:
        Constant Field Values

    - #### PROPFIND

          public static final String PROPFIND

      See Also:
        Constant Field Values

    - #### PROPPATCH

          public static final String PROPPATCH

      See Also:
        Constant Field Values

    - #### MKCOL

          public static final String MKCOL

      See Also:
        Constant Field Values

    - #### COPY

          public static final String COPY

      See Also:
        Constant Field Values

    - #### MOVE

          public static final String MOVE

      See Also:
        Constant Field Values

    - #### LOCK

          public static final String LOCK

      See Also:
        Constant Field Values

    - #### UNLOCK

          public static final String UNLOCK

      See Also:
        Constant Field Values

    - #### ACL

          public static final String ACL

      See Also:
        Constant Field Values

    - #### REPORT

          public static final String REPORT

      See Also:
        Constant Field Values

    - #### VERSION_CONTROL

          public static final String VERSION_CONTROL

      See Also:
        Constant Field Values

    - #### CHECKIN

          public static final String CHECKIN

      See Also:
        Constant Field Values

    - #### CHECKOUT

          public static final String CHECKOUT

      See Also:
        Constant Field Values

    - #### UNCHCKOUT

          public static final String UNCHCKOUT

      See Also:
        Constant Field Values

    - #### SEARCH

          public static final String SEARCH

      See Also:
        Constant Field Values

    - #### MKWORKSPACE

          public static final String MKWORKSPACE

      See Also:
        Constant Field Values

    - #### UPDATE

          public static final String UPDATE

      See Also:
        Constant Field Values

    - #### LABEL

          public static final String LABEL

      See Also:
        Constant Field Values

    - #### MERGE

          public static final String MERGE

      See Also:
        Constant Field Values

    - #### BASELINE_CONTROL

          public static final String BASELINE_CONTROL

      See Also:
        Constant Field Values

    - #### MKACTIVITY

          public static final String MKACTIVITY

      See Also:
        Constant Field Values

    - #### OPTIONS_ORDINAL

          public static final int OPTIONS_ORDINAL

      See Also:
        Constant Field Values

    - #### GET_ORDINAL

          public static final int GET_ORDINAL

      See Also:
        Constant Field Values

    - #### HEAD_ORDINAL

          public static final int HEAD_ORDINAL

      See Also:
        Constant Field Values

    - #### POST__ORDINAL

          public static final int POST__ORDINAL

      See Also:
        Constant Field Values

    - #### PUT_ORDINAL

          public static final int PUT_ORDINAL

      See Also:
        Constant Field Values

    - #### DELETE_ORDINAL

          public static final int DELETE_ORDINAL

      See Also:
        Constant Field Values

    - #### TRACE_ORDINAL

          public static final int TRACE_ORDINAL

      See Also:
        Constant Field Values

    - #### PROPFIND_ORDINAL

          public static final int PROPFIND_ORDINAL

      See Also:
        Constant Field Values

    - #### PROPPATCH_ORDINAL

          public static final int PROPPATCH_ORDINAL

      See Also:
        Constant Field Values

    - #### MKCOL_ORDINAL

          public static final int MKCOL_ORDINAL

      See Also:
        Constant Field Values

    - #### COPY_ORDINAL

          public static final int COPY_ORDINAL

      See Also:
        Constant Field Values

    - #### MOVE_ORDINAL

          public static final int MOVE_ORDINAL

      See Also:
        Constant Field Values

    - #### LOCK_ORDINAL

          public static final int LOCK_ORDINAL

      See Also:
        Constant Field Values

    - #### UNLOCK_ORDINAL

          public static final int UNLOCK_ORDINAL

      See Also:
        Constant Field Values

    - #### ACL_ORDINAL

          public static final int ACL_ORDINAL

      See Also:
        Constant Field Values

    - #### REPORT_ORDINAL

          public static final int REPORT_ORDINAL

      See Also:
        Constant Field Values

    - #### VERSION_CONTROL_ORDINAL

          public static final int VERSION_CONTROL_ORDINAL

      See Also:
        Constant Field Values

    - #### CHECKIN_ORDINAL

          public static final int CHECKIN_ORDINAL

      See Also:
        Constant Field Values

    - #### CHECKOUT_ORDINAL

          public static final int CHECKOUT_ORDINAL

      See Also:
        Constant Field Values

    - #### UNCHCKOUT_ORDINAL

          public static final int UNCHCKOUT_ORDINAL

      See Also:
        Constant Field Values

    - #### SEARCH_ORDINAL

          public static final int SEARCH_ORDINAL

      See Also:
        Constant Field Values

    - #### MKWORKSPACE_ORDINAL

          public static final int MKWORKSPACE_ORDINAL

      See Also:
        Constant Field Values

    - #### UPDATE_ORDINAL

          public static final int UPDATE_ORDINAL

      See Also:
        Constant Field Values

    - #### LABEL_ORDINAL

          public static final int LABEL_ORDINAL

      See Also:
        Constant Field Values

    - #### MERGE_ORDINAL

          public static final int MERGE_ORDINAL

      See Also:
        Constant Field Values

    - #### BASELINE_CONTROL_ORDINAL

          public static final int BASELINE_CONTROL_ORDINAL

      See Also:
        Constant Field Values

    - #### MKACTIVITY_ORDINAL

          public static final int MKACTIVITY_ORDINAL

      See Also:
        Constant Field Values

    - #### CACHE

          public static final BufferCache CACHE

    - #### OPTIONS_BUFFER

          public static final Buffer OPTIONS_BUFFER

    - #### GET_BUFFER

          public static final Buffer GET_BUFFER

    - #### HEAD_BUFFER

          public static final Buffer HEAD_BUFFER

    - #### POST__BUFFER

          public static final Buffer POST__BUFFER

    - #### PUT_BUFFER

          public static final Buffer PUT_BUFFER

    - #### DELETE_BUFFER

          public static final Buffer DELETE_BUFFER

    - #### TRACE_BUFFER

          public static final Buffer TRACE_BUFFER

    - #### PROPFIND_BUFFER

          public static final Buffer PROPFIND_BUFFER

    - #### PROPPATCH_BUFFER

          public static final Buffer PROPPATCH_BUFFER

    - #### MKCOL_BUFFER

          public static final Buffer MKCOL_BUFFER

    - #### COPY_BUFFER

          public static final Buffer COPY_BUFFER

    - #### MOVE_BUFFER

          public static final Buffer MOVE_BUFFER

    - #### LOCK_BUFFER

          public static final Buffer LOCK_BUFFER

    - #### UNLOCK_BUFFER

          public static final Buffer UNLOCK_BUFFER

    - #### ACL_BUFFER

          public static final Buffer ACL_BUFFER

    - #### REPORT_BUFFER

          public static final Buffer REPORT_BUFFER

    - #### VERSION_CONTROL_BUFFER

          public static final Buffer VERSION_CONTROL_BUFFER

    - #### CHECKIN_BUFFER

          public static final Buffer CHECKIN_BUFFER

    - #### CHECKOUT_BUFFER

          public static final Buffer CHECKOUT_BUFFER

    - #### UNCHCKOUT_BUFFER

          public static final Buffer UNCHCKOUT_BUFFER

    - #### SEARCH_BUFFER

          public static final Buffer SEARCH_BUFFER

    - #### MKWORKSPACE_BUFFER

          public static final Buffer MKWORKSPACE_BUFFER

    - #### UPDATE_BUFFER

          public static final Buffer UPDATE_BUFFER

    - #### LABEL_BUFFER

          public static final Buffer LABEL_BUFFER

    - #### MERGE_BUFFER

          public static final Buffer MERGE_BUFFER

    - #### BASELINE_CONTROL_BUFFER

          public static final Buffer BASELINE_CONTROL_BUFFER

    - #### MKACTIVITY_BUFFER

          public static final Buffer MKACTIVITY_BUFFER

  - ### Constructor Detail

    - #### Ajp13PacketMethods

          public Ajp13PacketMethods()

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.